# Using bash "here-documents" as quick-and-dirty template files
cat <<BREAK
{
   "manifest_version": 3,
   "name": "archematics",
    "version": "${VERSION}",

   "description": "unearths mathematical treasures lost in the web",
   "icons": {
      "48": "assets/archIcon48.png",
      "128": "assets/archIcon128.png",
      "256": "assets/archIcon256.png"
   },
   "author": "Glen Whitney <glen@archematics.app>",
   "homepage_url": "https://archematics.app",
   "browser_specific_settings": {
       "gecko": {
         "id": "{8b22a3b8-57f1-45f4-8e87-9043115a8093}",
         "update_url": "https://archematics.app/updates.json"
      }
   },
   "content_scripts": [
BREAK
if [ "$WHAT" = full ]; then
    cat <<BREAK
      {
         "matches": ["*://*/*"],
         "js": ["browser-polyfill.js", "adapptext.js"],
         "run_at": "document_start"
      },
BREAK
fi
cat <<BREAK
      {
         "matches": ["*://*/*"],
         "js": [
            "browser-polyfill.js",
            "custom-elements.min.js",
            "giveAwrl.js"
         ]
      }
   ],
   "options_ui": {
      "page": "options.html",
      "browser_style": false
   },
   "permissions": ["storage"],
   "web_accessible_resources": [{
      "matches": ["<all_urls>"],
      "resources": [
BREAK
if [ "$WHAT" = full ]; then
    cat <<BREAK
         "adapptlet.js",
         "adapptypes.js",
         "deps/GeoGebra/deployggb.js",
         "deps/GeoGebra/HTML5/5.0/webSimple/4B19686283BEF852F4C88C93522FB9A3.cache.js",
         "deps/GeoGebra/HTML5/5.0/webSimple/webSimple.nocache.js",
         "deps/GeoGebra/HTML5/5.0/webSimple/clear.cache.gif",
         "deps/GeoGebra/HTML5/5.0/webSimple/deferredjs/*",
         "deps/GeoGebra/HTML5/5.0/web3d/web3d.nocache.js",
         "deps/GeoGebra/HTML5/5.0/web3d/clear.cache.gif",
         "deps/GeoGebra/HTML5/5.0/web3d/289547CDA192E4FE9BAED5FF003E2ACE.cache.js",
         "deps/GeoGebra/HTML5/5.0/web3d/deferredjs/*",
         "deps/GeoGebra/HTML5/5.0/css/bundles/bundle.css",
         "deps/GeoGebra/HTML5/5.0/css/keyboard-styles.css",
         "deps/GeoGebra/HTML5/5.0/css/fonts.css",
         "deps/GeoGebra/HTML5/5.0/css/greek-font.css",
         "deps/GeoGebra/HTML5/5.0/css/bundles/simple-bundle.css",
         "deps/GeoGebra/HTML5/5.0/web3d/fonts/base/jlm_cmmi10.js",
BREAK
fi
cat <<END
         "deps/x_ite/x_ite.mjs",
         "deps/x_ite/x_ite.css",
         "deps/x_ite/assets/components/EventUtilities.js",
         "deps/x_ite/assets/components/Geometry2D.js",
         "deps/x_ite/assets/components/KeyDeviceSensor.js",
         "deps/x_ite/assets/components/Scripting.js",
         "deps/x_ite/assets/components/Text.js",
         "deps/x_ite/assets/images/logo.128.png",
         "conway.js",
         "options.js",
         "prism.js"
      ]
   }]
}
END
